Kerbal Space Program - Bug #14551

Kerbal Killed in Action despite Crew Respawn enabled
03/26/2017 05:29 PM - egoego

Status: Closed Start date: 03/26/2017

Severity: Low % Done: 100%

Assignee:

Category: Gameplay

Target version:

Version: 1.2.2 Language: English (US)
Platform: Windows Mod Related: No

Expansion:

Description

1. Start a new career game with difficulty normal (including Missing Crew Respawns after 2 hours) BUT: Allow Reverting turned OFF.
2. Build simple ship with one Kerbal and launch it.

3. Start flying the ship and press ESC mid flight, then choose to go back to the Space Center.

4. Confirm the warning with "Abandon Mission" button. ( http:/i.imgur.com/pJckFvT.png )

5. Go to Astronaut complex, Kerbal is still listed as "Assigned", even so there are no active flights.

6. Launch another ship and let it explode.

7. Go to Astronaut complex, 2nd Kerbal is now listed as "Missing in Action" and 1st Kerbal is now listed as "K.l.A". (

http://i.imgur.com/eN17gOR.png )

8. Fast forward more than 2 hours.

9. Go to Astronaut complex, 2nd Kerbal still listed as "Missing in Action, 1st still "K.I.A".

10. Attempt to launch a ship (clicking on launch pad), 2nd and 1st Kerbal are not available for selection.
11. Start biulding a new ship, the 2nd Kerbal is now available for crow, the 1st not.

12. Go to Astronaut complex, 1st Kerbal still "K.I.A", 2nd now listed as available.

Windows 10
KSP_x64.exe
Stock

History

#1 - 03/27/2017 10:43 AM - sal_vager

- Status changed from New to Need More Info

Hi egoego, please try exiting to the main menu then returning to the save, Kerbals are respawned when the save is reloaded, also please upload a
save with a Kerbal in the KIA state as it is not reproducible here.

Thank you.

#2 - 03/28/2017 10:07 PM - egoego

Unfortunatly | don't have the save with that bug anymore (currently doing a lot of experimenting with game settings) and | don't seem to be able to
reproduce that bug at the moment. As this is a niche situation | wouldn't be mad if you close it, even if | could reproduce it.

#3 - 03/29/2017 10:21 AM - sal_vager

The KIA behavior is what we're looking for, as it suggests a state isn't being properly set, so if it does happen again please let us know :)

#4 - 07/25/2019 09:37 PM - chris.fulton
- Status changed from Need More Info to Resolved

- % Done changed from 0 to 100

#5 - 07/25/2019 09:37 PM - chris.fulton

- Status changed from Resolved to Closed
